#!/bin/sh

# If an iBFT is detected, force parse-iscsiroot.sh to notice it.
#
modprobe iscsi_ibft
if [ -d /sys/firmware/ibft ] ; then
    echo "Detected iBFT; adding iSCSI options to effective cmdline"
    echo "rd.multipath rd.iscsi.ibft rd.iscsi.firmware iscsi_firmware ip=ibft " >> /etc/cmdline
    echo "iscsi_param=node.session.initial_login_retry_max=4 rd.iscsi.param=node.session.initial_login_retry_max=4" >> /etc/cmdline
    unset CMDLINE

    echo "Detected iBFT; trigger route configuration"
    /sbin/initqueue --onetime /sbin/iscsi-ibft-routes
    /sbin/initqueue --onetime --settled /sbin/iscsi-ibft-routes
fi
